<template>
  <div id="app">
    <router-view />

  </div>
</template>

<script>
export default {
  name: "app",
  data() {
    return {};
  },
  watch: {},
  created() {

  },
  methods: {},
  computed: {}
};
</script>
<style lang="scss">
#app {
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.el-menu--vertical .el-menu--popup-right-start{
  background: #ffffff !important;
}
.el-card__body {
  padding: 15px;
}
.el-dialog{
  margin: 50px auto;
}
.avue-dialog .el-dialog{
  top:50%;
  max-height: calc(100% - 80px);
  -webkit-transform: translate(-50%, 0);
  transform: translate(-50%, -50%);
  margin-top: 0 !important;
}
.avue-dialog .el-dialog__body{
  padding: 20px 20px 0px 20px; // 上右下左 取消表格下边距（会出现滚动条）
  margin-bottom: 10px !important;
}
.avue-dialog .el-dialog__body .avue-form{
  margin: 0px auto 40px; // 单独给对话框里的avue表单加上下边距
}
.dialog-footer{
  background-color: #ffffff;
  z-index: 10000;
}
.avue-crud .avue-form {
  margin: 0px auto !important; // 表格内的表单（比如:搜索栏） 取消下边距
}
.avue--detail .el-col{
  margin-bottom: 0;
}
.avue-crud .avue-crud__menu{
  min-height: 26px;
}
.avue-crud .avue-crud__menu .el-button{
  margin-bottom: 5px;
}
.avue-crud .avue-crud__menu .el-button--text{
  padding: 2px 6px;
}
.avue-crud table td{
  line-height: 22px;
}
.el-table .cell{
  line-height: 22px;
}
.el-table--mini .cell{
  line-height: 20px;
}
.el-table .cell .el-tag{
  line-height: 20px;
  height: 22px;
}
.el-table--mini .cell .el-tag{
  line-height: 18px;
  height: 20px;
}
.avue-crud__pagination{
  padding: 15px 0 10px;
}
.el-form .el-col{
  margin-bottom: 0;
}
.UITabs > .el-tabs__content{
  height:calc(100% - 56px);
}
.componentVO{
  height: 100%;
  overflow: auto;
}
.UI-collapse{
  box-sizing: border-box;
  height: calc(100% - 10px);
}
.UI-collapse > .el-collapse-item{
  max-height: calc(100% - 60px);
  overflow: auto;
}
.UI-collapse > .el-collapse-item > .el-collapse-item__wrap{
  height:calc(100% - 49px);
}
.UI-collapse > .el-collapse-item > .el-collapse-item__wrap > .el-collapse-item__content{
  height: 100%;
  padding-bottom: 5px;
}
.UI-dynamic{
  height: 100%;
}
.UI-dynamic > .avue-crud{
  height: 100%;
}

.el-form-item{
  margin-bottom: 15px;
}
.el-form-item--mini.el-form-item, .el-form-item--small.el-form-item{
  margin-bottom: 15px;
}

.tree-buttons .el-button{
  margin: 0 5px 5px 0;
}
.el-dialog__footer{
  border-top: 1px solid #e9e7e7;
}
/***按钮框****/
.headerCon {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 5px;
  .el-button {
    min-width: 60px;
    padding-left: 9.5px;
    margin-left: 0;
    margin-right: 5px;
    margin-bottom: 5px;
  }
}
.smallBtn {
  width: 82px;
  text-align: center;
  padding-left: 4.5px;
}

/***隐藏树懒加载时节点上的loading，防止节点抖动*****/
.el-tree .el-tree-node__loading-icon{
  display: none !important;
}

.el-select{
  width: 100%;
}

.avue-input-icon__item .avue-icon i {
  font-size: 30px !important;
  width: 30px;
  height: 30px;
}

.el-descriptions__header{
  margin-bottom: 10px;
}
</style>
